summaryrefslogtreecommitdiff
path: root/tests/misc/xattr.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/xattr.sh')
-rwxr-xr-xtests/misc/xattr.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/misc/xattr.sh b/tests/misc/xattr.sh
index 269424611..f208090f5 100755
--- a/tests/misc/xattr.sh
+++ b/tests/misc/xattr.sh
@@ -66,7 +66,7 @@ getfattr -d c >out_c || skip_ "failed to get xattr of file"
grep -F "$xattr_pair" out_c || fail=1
# cp's -a option must produce no diagnostics.
-cp -a a d 2>err && test -s err && fail=1
+cp -a a d 2>err && { compare /dev/null err || fail=1; }
getfattr -d d >out_d || skip_ "failed to get xattr of file"
grep -F "$xattr_pair" out_d || fail=1